Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
_SHA256_CTX Struct Reference

`#include <sha2.h>`

## Data Fields
uint32_t | state [8]
uint64_t | bitcount
uint8_t | buffer [SHA256_BLOCK_LENGTH]

## Detailed Description

Definition at line 122 of file sha2.h.

## Field Documentation

## ◆ bitcount

uint64_t _SHA256_CTX::bitcount

Definition at line 124 of file sha2.h.

Referenced by SHA256_Final(), and SHA256_Update().

## ◆ buffer

uint8_t _SHA256_CTX::buffer[SHA256_BLOCK_LENGTH]

Definition at line 125 of file sha2.h.

Referenced by SHA256_Final(), SHA256_Transform(), and SHA256_Update().

## ◆ state

uint32_t _SHA256_CTX::state[8]

Definition at line 123 of file sha2.h.

Referenced by SHA256_Final(), SHA256_Init(), and SHA256_Transform().

The documentation for this struct was generated from the following file:

- ext/digest/sha2/sha2.h